Page MenuHomePhabricator

PHP notices in hhvm.log
Closed, ResolvedPublic

Description

reedy@fluorine:/a/mw-log$ tail -n 100 hhvm.log | grep cldr
Nov 7 00:51:27 mw1018: #012Notice: Undefined index: minute-past-other in /srv/mediawiki/php-1.25wmf6/extensions/cldr/TimeUnits.body.php on line 173
Nov 7 00:51:27 mw1018: #012Notice: Undefined index: day-past-other in /srv/mediawiki/php-1.25wmf6/extensions/cldr/TimeUnits.body.php on line 173
Nov 7 00:51:28 mw1018: message repeated 23 times: [ #012Notice: Undefined index: day-past-other in /srv/mediawiki/php-1.25wmf6/extensions/cldr/TimeUnits.body.php on line 173]
Nov 7 00:51:28 mw1018: #012Notice: Undefined index: month-past-other in /srv/mediawiki/php-1.25wmf6/extensions/cldr/TimeUnits.body.php on line 173
reedy@fluorine:/a/mw-log$


Version: unspecified
Severity: normal

Details

Reference
bz73111

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 3:55 AM
bzimport set Reference to bz73111.
Reedy created this task.Nov 7 2014, 1:02 AM
ori added a comment.Nov 7 2014, 1:04 AM

(Not HHVM specific; we just don't log notice-level errors on the Zend app servers.)

Change 171805 had a related patch set uploaded by Nikerabbit:
Prevent PHP notices and broken time displays

https://gerrit.wikimedia.org/r/171805

Change 171805 merged by jenkins-bot:
Prevent PHP notices and broken time displays

https://gerrit.wikimedia.org/r/171805

Change 173495 had a related patch set uploaded by Reedy:
Prevent PHP notices and broken time displays

https://gerrit.wikimedia.org/r/173495

Change 173495 merged by jenkins-bot:
Prevent PHP notices and broken time displays

https://gerrit.wikimedia.org/r/173495

Nikerabbit closed this task as Resolved.Dec 15 2014, 8:48 AM